Bug 989924 - Default kickstart templates should not include "--enablemd5"
Default kickstart templates should not include "--enablemd5"
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.2
: ---
Assigned To: Amit Saha
Raymond Mancy
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 03:36 EDT by Nick Coghlan
Modified: 2014-12-07 20:15 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 20:47:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-30 03:36:25 EDT
Provisioning a system using Beaker's default kickstart templates (for most distros) calls "auth --enableshadow --enablemd5" (or the authconfig equivalent for older distros).

We really shouldn't do that :)

To handle tests that rely on this existing behaviour, we should offer a ks_meta options to let people specify particular auth settings in the job XML, and then leave the platform defaults alone if the ks_meta setting isn't provided.
Comment 1 Amit Saha 2013-08-25 21:34:34 EDT
(In reply to Nick Coghlan from comment #0)

> To handle tests that rely on this existing behaviour, we should offer a
> ks_meta options to let people specify particular auth settings in the job
> XML, and then leave the platform defaults alone if the ks_meta setting isn't
> provided.

So IIUC, what we are looking to do is, do not add auth --enableshadow --enablemd5 is not explicitly specified by the job for Fedora, RHEL4/5/7 for which we currently do that. RHEL6 doesn't have a default authconfig or auth command in the kickstart.

So, basically this "fix" will:

1. Do not add the above command if not asked to do so
2. Support a ks_meta option to do so.

Does that sound right?
Comment 2 Amit Saha 2013-08-26 01:44:54 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/2182/
Comment 5 Nick Coghlan 2013-10-02 22:28:28 EDT
Beaker 0.15 has been released.
Comment 6 Nick Coghlan 2013-10-27 21:14:27 EDT
This change has been nominated to be back ported to the 0.14 branch, to be released as part of the next maintenance release 0.14.2.

Adjusting target milestone to make the changes backported to 0.14.2 easier to identify. 0.15.0 has enough significant regressions that it shouldn't be used, so the change means that 0.15.1 can be effectively reidentified as the union of that tag and the 0.14.2 target milestone.
Comment 9 Nick Coghlan 2013-11-06 20:47:01 EST
Closing as addressed in Beaker 0.14.2.

Note You need to log in before you can comment on or make changes to this bug.